﻿/*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
*****************************************************************************/

-- --------------------------------------------
--	SP: MinDate
--	Create date: 12/02/2020
--
--	DESCRIPTION
--	Returns the minimum date among those passed as a parameter to the function
--
--	RETURNS
--	-1:		One or more parameter is missing
--	-2:		Invalid credentials
-- --------------------------------------------
CREATE FUNCTION [dbo].[MinDate]
(
	@Date1 DATETIME,
	@Date2 DATETIME,
	@Date3 DATETIME,
	@Date4 DATETIME,
	@Date5 DATETIME
)
RETURNS DATETIME
AS
BEGIN
    DECLARE @RESULT DATETIME

	SELECT @RESULT = MIN(DT) 
        FROM
        (
            VALUES (@Date1),
                   (@Date2),
                   (@Date3),
                   (@Date4),
                   (@Date5)
        ) AS T(DT)

    RETURN @RESULT
END
