﻿/*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
*****************************************************************************/

-- --------------------------------------------
--	SP: ContactRequest_Detail
--	Create date: 22/03/2020
--
--  DESCRIPTION
--	Return the detail of the given contact request
--	
--	RETURNS
--	-1:		One or more parameter is missing
-- --------------------------------------------
CREATE PROCEDURE [dbo].[ContactRequest_Detail]
	@ID				INT
AS
BEGIN
	IF @ID IS NULL 
		RETURN -1

	SELECT CR.ID, CR.CreationDate, CR.RecipientID, CR.RecipientLastUpdate, CR.RecipientState,
			CR.RequestorID, CR.RequestorLastUpdate, CR.RequestorState
	FROM [dbo].[ContactRequest] CR
	WHERE CR.ID = @ID
END
	
