﻿/*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
*****************************************************************************/

-- --------------------------------------------
--	SP: Message_SetDeleted
--	Create date: 03/02/2020
--
--	DESCRIPTION
--	Set a message as deleted. Depending on the user
--	who makes the action, set the status appropriately.
--
--	RETURNS
--	-1:		One ore more parameter is missing
--	-2:		Invalid UserID
-- --------------------------------------------
CREATE PROCEDURE [dbo].[Message_SetDeleted]
	@ID			INT,
	@UserID		INT
AS
BEGIN
	IF @ID IS NULL OR @UserID IS NULL
		RETURN -1

	--DECLARE @RecipientID	INT
	--DECLARE @SenderID		INT
	
	--SELECT	@RecipientID	= RecipientID,
	--		@SenderID		= SenderID
	--FROM [dbo].[Message]
	--WHERE ID = @ID

	--IF @UserID <> @SenderID AND @UserID <> @RecipientID
	--	RETURN -2

	--IF @UserID = @SenderID
	--BEGIN
	--	-- If the sender deletes a message, it will be also deleted for the recipient
	--	UPDATE [dbo].[Message] SET SenderState = 'DELETED', RecipientState = 'DELETED' WHERE ID = @ID
	--END
	--ELSE
	--BEGIN
	--	-- The recipient deletes the message for himself only
	--	UPDATE [dbo].[Message] SET RecipientState = 'DELETED' WHERE ID = @ID
	--END
END