﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TDP.ChatClient.Infrastructure.GUI
{
    static class WinUtils
    {
        public static void ShowInfo(string message)
        {
            //TODO: Where to get caption?
            MessageBox.Show(message, string.Empty, MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        public static void ShowAlert(string message)
        {
            //TODO: Where to get caption?
            MessageBox.Show(message, string.Empty, MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }

        public static DialogResult ShowConfirm(string message)
        {
            //TODO: Where to get caption?
            return MessageBox.Show(message, string.Empty, MessageBoxButtons.YesNo, MessageBoxIcon.Question);
        }

        public static void MakeUISafeCall(this Form form, Action act)
        {
            if (form.InvokeRequired)
            {
                form.Invoke(act);
            }
            else
            {
                act.Invoke();
            }
        }
    }
}
