﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TDP.ChatLib.Client.Infrastructure
{
    class Constants
    {
        private Constants()
        {
        }

        public const int DefaultBufferSize = 1024;
        public const string DefaultConnectIPAddress = "127.0.0.1";
        public const int DefaultConnectPort = 10000;
        public const int DefaultSendTimeout = 32000;
        public const int DefaultReceiveTimeout = 32000;
        public const bool DefaultUseSsl = false;
        public const string DefaultSslTargetHost = "";
        public const bool DefaultIgnoreSslErrors = true;
        public const int DefaultAuthTokenMinutesToRenew = 2;
        public const int DefaultAuthTokenCheckExpiringIntervalMS = 10000;

    }
}
