﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TDP.ChatLib.Client.Infrastructure
{
    public class SynchronizeRequestedEventArgs : EventArgs
    {
        public SynchronizeRequestedEventArgs()
        {

        }

        public SynchronizeRequestedEventArgs(bool synchronizeContacts, bool synchronizeContactRequests, bool synchronizeMessages, int clientID)
        {
            SynchronizeContacts = synchronizeContacts;
            SynchronizeContactRequests = synchronizeContactRequests;
            SynchronizeMessages = synchronizeMessages;
            ClientID = clientID;
        }

        public bool SynchronizeContacts { get; set; }
        public bool SynchronizeContactRequests { get; set; }
        public bool SynchronizeMessages { get; set; }
        public int ClientID { get; set; }
    }
}
