﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class AddClientResponse : IResponseBase
    {
        public AddClientResponse()
        {

        }

        public AddClientResponse(bool success, int errorCode, string message)
        {
            Success = success;
            ErrorCode = errorCode;
            Message = message;
        }

        public int RequestID { get; set; }
        public bool Success { get; set; }
        public int ErrorCode { get; set; }
        public string Message { get; set; }
    }
}
