﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class MessageItem
    {
        public int ID { get; set; }
        public string Message { get; set; }
        public DateTime CreationDate { get; set; }
        public string UserRole { get; set; }
        public int SenderID { get; set; }
        public string SenderEMail { get; set; }
        public string SenderNickname { get; set; }
        public int RecipientID { get; set; }
        public string RecipientEMail { get; set; }
        public string RecipientNickname { get; set; }

        public string ListBoxMessageItem { 
            get
            {
                return CreationDate.ToShortDateString() 
                        + " " + CreationDate.ToShortTimeString()
                        + " " + SenderNickname + " says:\r\n"
                        + Message;
            }
        }
    }
}
