﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class RejectAddClientRequest : IAuthenticatedMessage
    {
        public RejectAddClientRequest()
        {

        }

        public RejectAddClientRequest(int requestID, AuthenticationToken<int> authToken)
        {
            RequestID = requestID;
            AuthToken = authToken;
        }

        public int RequestID { get; set; }
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
