﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class RenewTokenResponse : IResponseBase
    {
        public RenewTokenResponse()
        {

        }

        public RenewTokenResponse(bool success, int errorCode, string message, AuthenticationToken<int> authToken)
        {
            Success = success;
            ErrorCode = errorCode;
            Message = message;
            AuthToken = authToken;
        }

        public bool Success { get; set; }
        public int ErrorCode { get; set; }
        public string Message { get; set; }

        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
