﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class SendChatMessage : IAuthenticatedMessage
    {
        public SendChatMessage()
        {
            
        }

        public SendChatMessage(int recipientID, string chatMessage, AuthenticationToken<int> authToken)
        {
            RecipientID = recipientID;
            ChatMessage = chatMessage;
            AuthToken = authToken;
        }

        public int RecipientID { get; set; }
        public string ChatMessage { get; set; }
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
