﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class SendChatMessageResponse : IResponseBase
    {
        public SendChatMessageResponse()
        {
            
        }

        public SendChatMessageResponse(bool success, int errorCode, string message)
        {
            Success = success;
            ErrorCode = errorCode;
            Message = message;
        }

        public bool Success { get; set; }
        public int ErrorCode { get; set; }
        public string Message { get; set; }
    }
}
