﻿/*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
*****************************************************************************/

-- --------------------------------------------
--	SP: Contact_Remove
--	Create date: 01/04/2020
--
--	DESCRIPTION
--	Remove a contact from a user's contact list
--
--	RETURNS
--	-1:		One or more parameter is missing
-- --------------------------------------------
CREATE PROCEDURE [dbo].[Contact_Remove]
	@UserID			INT,
	@UserContactID	INT
AS
BEGIN
	IF @UserID IS NULL
		RETURN -1

	-- Only one of the update should update a record
	UPDATE [dbo].[Contact]
	SET User1State = 'DELETED'
	WHERE [User1ID] = @UserID
			AND [User2ID] = @UserContactID

	UPDATE [dbo].[Contact]
	SET User2State = 'DELETED'
	WHERE [User2ID] = @UserID
			AND [User1ID] = @UserContactID
END
