﻿CREATE TABLE [dbo].[User] (
    [ID]       INT             NOT NULL IDENTITY,
    [EMail]    NVARCHAR (260)  NOT NULL,
    [Nickname] NVARCHAR (100)  NOT NULL,
    [Password] VARBINARY (MAX) NOT NULL,
    [CreationDate]  DATETIME NOT NULL DEFAULT GETDATE(),
    [LastUpdate]    DATETIME NOT NULL DEFAULT GETDATE(), 
    CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED ([ID] ASC)
);
GO

CREATE UNIQUE INDEX [IX_User_EMail] ON [dbo].[User] ([EMail])
GO

CREATE UNIQUE INDEX [IX_User_NickName] ON [dbo].[User] ([Nickname])
GO
