﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class AddClient : IAuthenticatedMessage
    {
        public AddClient()
        {

        }

        public AddClient(int id, AuthenticationToken<int> authToken)
        {
            ID = id;
            AuthToken = authToken;
        }

        public int ID { get; set; }
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
