﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using TDP.ChatLib.Messages.Abstract;
using TDP.BaseServices.Infrastructure.Security;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class LoginClientResponse : IResponseBase
    {
        public LoginClientResponse()
        {

        }

        public LoginClientResponse(bool success, int errorCode, string message, string nickname, AuthenticationToken<int> authToken)
        {
            Success = success;
            ErrorCode = errorCode;
            Message = message;
            Nickname = nickname;
            AuthToken = authToken;
        }

        public bool Success { get; set; }
        public int ErrorCode { get; set; }
        public string Message { get; set; }

        public string Nickname { get; set;}
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
