﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class RegisterClientResponse : IResponseBase
    {
        public RegisterClientResponse()
        {

        }

        public RegisterClientResponse(bool success, int errorCode, string message, AuthenticationToken<int> authToken)
        {
            Success = success;
            ErrorCode = errorCode;
            Message = message;
            AuthToken = authToken;
        }

        public bool Success { get; set; }
        public int ErrorCode { get; set; }
        public string Message { get; set; }
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
