﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class SearchClient : IAuthenticatedMessage
    {
        public SearchClient()
        {
        }

        public SearchClient (string searchText, AuthenticationToken<int> authToken)
        {
            SearchText = searchText;
            AuthToken = authToken;
        }

        public string SearchText { get; set; }
        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
