﻿//*****************************************************************************
//
//  By The Dummy Programmer
//  https://www.thedummyprogrammer.com
//
//*****************************************************************************

using System;
using TDP.BaseServices.Infrastructure.Security;
using TDP.ChatLib.Messages.Abstract;

namespace TDP.ChatLib.Messages.Core
{
    [Serializable]
    public class SynchronizeClient : IAuthenticatedMessage
    {
        public SynchronizeClient()
        {

        }

        public SynchronizeClient(bool synchronizeContacts, bool synchronizeContactRequests, bool synchronizeMessages, int recipientID, AuthenticationToken<int> authToken)
        {
            SynchronizeContacts = synchronizeContacts;
            SynchronizeContactRequests = synchronizeContactRequests;
            SynchronizeMessages = synchronizeMessages;
            RecipientID = recipientID;
            AuthToken = authToken;
        }

        public bool SynchronizeContacts { get; set; }
        public bool SynchronizeContactRequests { get; set; }
        public bool SynchronizeMessages { get; set; }
        public int RecipientID { get; set; }

        public AuthenticationToken<int> AuthToken { get; set; }
    }
}
